NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Tooling::PrebendBuilder Class Reference

Represents a NXOpen::Tooling::PrebendBuilder builder to divide bend faces. More...

Inheritance diagram for NXOpen::Tooling::PrebendBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  NumberBendsOption {
  NumberBendsOptionTwo, NumberBendsOptionThree, NumberBendsOptionFour, NumberBendsOptionFive,
  NumberBendsOptionSix
}
 The option of bend number to divide into. More...
 

Public Member Functions

double Angle01 ()
 Returns the first prebend angle
Created in NX10.0.0. More...
 
double Angle02 ()
 Returns the second prebend angle
Created in NX10.0.0. More...
 
double Angle03 ()
 Returns the third prebend angle
Created in NX10.0.0. More...
 
double Angle04 ()
 Returns the fourth prebend angle
Created in NX10.0.0. More...
 
double Angle05 ()
 Returns the fifth prebend angle
Created in NX10.0.0. More...
 
NXOpen::ScCollectorBendFace ()
 Returns the bend face to divide
Created in NX10.0.0. More...
 
NXString NeutralFactor ()
 Returns the neutral factor assign into the divided bend faces
Created in NX10.0.0. More...
 
NXOpen::Tooling::PrebendBuilder::NumberBendsOption NumberBends ()
 Returns the number of prebends divide into
Created in NX10.0.0. More...
 
void SetAngle01 (double angle01)
 Sets the first prebend angle
Created in NX10.0.0. More...
 
void SetAngle02 (double angle02)
 Sets the second prebend angle
Created in NX10.0.0. More...
 
void SetAngle03 (double angle03)
 Sets the third prebend angle
Created in NX10.0.0. More...
 
void SetAngle04 (double angle04)
 Sets the fourth prebend angle
Created in NX10.0.0. More...
 
void SetAngle05 (double angle05)
 Sets the fifth prebend angle
Created in NX10.0.0. More...
 
void SetNeutralFactor (const NXString &neutralFactor)
 Sets the neutral factor assign into the divided bend faces
Created in NX10.0.0. More...
 
void SetNeutralFactor (const char *neutralFactor)
 Sets the neutral factor assign into the divided bend faces
Created in NX10.0.0. More...
 
void SetNumberBends (NXOpen::Tooling::PrebendBuilder::NumberBendsOption numberBends)
 Sets the number of prebends divide into
Created in NX10.0.0. More...
 
NXOpen::ScCollectorStartEdge ()
 Returns the start edge of bend face to specify the angle01 to angle05 start from
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Tooling::PrebendBuilder builder to divide bend faces.


To create a new instance of this class, use NXOpen::Features::ToolingCollection::CreatePrebendBuilder
Default values.

Property Value

Angle01

30

Angle02

30

Angle03

30

Angle04

30

Angle05

30

NumberBends

Two


Created in NX10.0.0.

Member Enumeration Documentation

The option of bend number to divide into.

Enumerator
NumberBendsOptionTwo 

two prebends

NumberBendsOptionThree 

three prebends

NumberBendsOptionFour 

four prebends

NumberBendsOptionFive 

five prebends

NumberBendsOptionSix 

six prebends

Member Function Documentation

double NXOpen::Tooling::PrebendBuilder::Angle01 ( )

Returns the first prebend angle
Created in NX10.0.0.



License requirements : None

double NXOpen::Tooling::PrebendBuilder::Angle02 ( )

Returns the second prebend angle
Created in NX10.0.0.



License requirements : None

double NXOpen::Tooling::PrebendBuilder::Angle03 ( )

Returns the third prebend angle
Created in NX10.0.0.



License requirements : None

double NXOpen::Tooling::PrebendBuilder::Angle04 ( )

Returns the fourth prebend angle
Created in NX10.0.0.



License requirements : None

double NXOpen::Tooling::PrebendBuilder::Angle05 ( )

Returns the fifth prebend angle
Created in NX10.0.0.



License requirements : None

NXOpen::ScCollector* NXOpen::Tooling::PrebendBuilder::BendFace ( )

Returns the bend face to divide
Created in NX10.0.0.



License requirements : None

NXString NXOpen::Tooling::PrebendBuilder::NeutralFactor ( )

Returns the neutral factor assign into the divided bend faces
Created in NX10.0.0.



License requirements : None

NXOpen::Tooling::PrebendBuilder::NumberBendsOption NXOpen::Tooling::PrebendBuilder::NumberBends ( )

Returns the number of prebends divide into
Created in NX10.0.0.



License requirements : None

void NXOpen::Tooling::PrebendBuilder::SetAngle01 ( double  angle01)

Sets the first prebend angle
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle01angle01
void NXOpen::Tooling::PrebendBuilder::SetAngle02 ( double  angle02)

Sets the second prebend angle
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle02angle02
void NXOpen::Tooling::PrebendBuilder::SetAngle03 ( double  angle03)

Sets the third prebend angle
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle03angle03
void NXOpen::Tooling::PrebendBuilder::SetAngle04 ( double  angle04)

Sets the fourth prebend angle
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle04angle04
void NXOpen::Tooling::PrebendBuilder::SetAngle05 ( double  angle05)

Sets the fifth prebend angle
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angle05angle05
void NXOpen::Tooling::PrebendBuilder::SetNeutralFactor ( const NXString neutralFactor)

Sets the neutral factor assign into the divided bend faces
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
neutralFactorneutralfactor
void NXOpen::Tooling::PrebendBuilder::SetNeutralFactor ( const char *  neutralFactor)

Sets the neutral factor assign into the divided bend faces
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
neutralFactorneutralfactor
void NXOpen::Tooling::PrebendBuilder::SetNumberBends ( NXOpen::Tooling::PrebendBuilder::NumberBendsOption  numberBends)

Sets the number of prebends divide into
Created in NX10.0.0.



License requirements : prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
numberBendsnumberbends
NXOpen::ScCollector* NXOpen::Tooling::PrebendBuilder::StartEdge ( )

Returns the start edge of bend face to specify the angle01 to angle05 start from
Created in NX10.0.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.